package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TFivesRegionMapper;
import com.ruoyi.project.production.domain.TFivesRegion;
import com.ruoyi.project.production.service.ITFivesRegionService;

/**
 * 区域列台账Service业务层处理
 *
 * @author ruoyi
 * @date 2023-03-30
 */
@Service
public class TFivesRegionServiceImpl implements ITFivesRegionService
{
    @Autowired
    private TFivesRegionMapper tFivesRegionMapper;

    /**
     * 查询区域列台账
     *
     * @param id 区域列台账ID
     * @return 区域列台账
     */
    @Override
    public TFivesRegion selectTFivesRegionById(Long id)
    {
        return tFivesRegionMapper.selectTFivesRegionById(id);
    }

    /**
     * 查询区域列台账列表
     *
     * @param tFivesRegion 区域列台账
     * @return 区域列台账
     */
    @Override
    public List<TFivesRegion> selectTFivesRegionList(TFivesRegion tFivesRegion)
    {
        return tFivesRegionMapper.selectTFivesRegionList(tFivesRegion);
    }

    /**
     * 新增区域列台账
     *
     * @param tFivesRegion 区域列台账
     * @return 结果
     */
    @Override
    public int insertTFivesRegion(TFivesRegion tFivesRegion)
    {
        return tFivesRegionMapper.insertTFivesRegion(tFivesRegion);
    }

    /**
     * 修改区域列台账
     *
     * @param tFivesRegion 区域列台账
     * @return 结果
     */
    @Override
    public int updateTFivesRegion(TFivesRegion tFivesRegion)
    {
        return tFivesRegionMapper.updateTFivesRegion(tFivesRegion);
    }

    /**
     * 批量删除区域列台账
     *
     * @param ids 需要删除的区域列台账ID
     * @return 结果
     */
    @Override
    public int deleteTFivesRegionByIds(Long[] ids)
    {
        return tFivesRegionMapper.deleteTFivesRegionByIds(ids);
    }

    /**
     * 删除区域列台账信息
     *
     * @param id 区域列台账ID
     * @return 结果
     */
    @Override
    public int deleteTFivesRegionById(Long id)
    {
        return tFivesRegionMapper.deleteTFivesRegionById(id);
    }
}
